/***************************************************************************
                          aboutwindow.cpp  -  description
                             -------------------
    begin                : Sun Feb 4 2001
    copyright            : (C) 2001 by Rene Mrten & Christian Fricke
    email                : delta_x@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "aboutwindow.h"
#include "madekdev.xpm"
#include <kurllabel.h>
#include <klocale.h>
#include <kprocess.h>
#include <qpushbutton.h>

aboutwindow::aboutwindow(QWidget *parent, const char *name) : QDialog(parent,name,true)
{
	setCaption(i18n("About KCommander"));
	resize(500,350);
	setMinimumSize(500,350);
	setMaximumSize(500,350);
	pingu = new QLabel(this,"movie");
	pingu->setPixmap(QPixmap((const char **)madekdev));
	pingu->setGeometry(150,10,200,60);
	

	me = new QMultiLineEdit(this);
	me->setGeometry(10,80,480,210);
	me->setReadOnly(true);
	me->append(QString("KCommander2  designed for KDE2"));
	me->append("*********************************************\n");
	me->append("");
	me->append("first: we got a new member: Henri from france");
	me->append("");
	me->append("KCommander FTP-Connection Extention");
	me->append("You are able to send files via your smtp server");
	me->append("A few keys are now activated");
	me->append("");
	me->append("");
	me->append("");
	me->append("For other changes please read the");
	me->append("CHANGELOG file");
	QPushButton *ok;
	ok = new QPushButton(this);
	ok->setGeometry(10,310,60,25);
	ok->setText("&OK");
	connect(ok,SIGNAL(clicked()),this,SLOT(accept()));
	KURLLabel *url;
	url = new KURLLabel(this);
	url->setText("HTTP://www.kcommander.org");
	url->setURL("http://www.kcommander.org");
	url->setGeometry(90,310,250,30);
	connect(url,SIGNAL(leftClickedURL()),this,SLOT(goToURL()));
	

}
aboutwindow::~aboutwindow()
{
/* we didn't delete any classes by qt
	delete pingu;
	delete me;
*/
}


void aboutwindow::goToURL()
{
	KShellProcess proc("bash");
	proc << "kfmclient" << "openURL"	<< "http://www.kcommander.org";
//	proc << "netscape"	<< "http://www.kcommander.org";
	proc.start(KProcess::DontCare,KProcess::All);
}
