/***************************************************************************
                          addressbook.h  -  description
                             -------------------
    begin                : Fri Apr 20 2001
    copyright            : (C) 2001 by Christian Fricke & Rene Maerten
    email                : cfricke@kcommander.org
 ***************************************************************************/
// $Revision: 1.3 $
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef ADDRESSBOOK_H
#define ADDRESSBOOK_H

#include <qwidget.h>
#include <qlistview.h>
#include <qdialog.h>
#include <qfile.h>
#include <qdir.h>
#include <qlineedit.h>
#include <qpushbutton.h>

/**This is our own adressbook which
trys to open the KMail addresses.

  *@author Christian Fricke & Rene Maerten
  */

class addressbook : public QDialog  {
   Q_OBJECT
public: 
	addressbook(QWidget *parent=0, const char *name=0);
	~addressbook();
  QString getDestination();
  QLineEdit   *le;
private:
	QListView   *lv;
  QPushButton *pb1, *pb2;
private slots:
  void resizeEvent(QResizeEvent *e);
	void setSelection(QListViewItem *);
  void addMail();
};

#endif
