/***************************************************************************
                          ktar2.h  -  description
                             -------------------
    begin                : Sun Feb 4 2001
    copyright            : (C) 2001 by Rene Mrten & Christian Fricke
    email                : delta_x@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
//***************************************************************
// KTar2.h
//***************************************************************
#ifndef KTar2_H
#define KTar2_H

#include <kapp.h>
#include <qwidget.h>
//#include <progress.h>
#include <qlabel.h>
#include <qdir.h>
#include <qmessagebox.h>
#include <kprocess.h>
#include <kfileview.h>
#include <kprogress.h>
#include <qfile.h>

class KTar2 : public QDialog  {
   Q_OBJECT
public:
	KTar2(KFileViewItemList* ,const char *archivename,QWidget *parent=0, const char *name=0);
	~KTar2();
	void doIt(KFileViewItemList*, const char *archivename);
	KProgress *p1;
	QLabel		*dateiname;
	QString		SourcePath;
	QString		Packer;
	void			start();
	int				percent;
	bool			ready,ende;
  bool			nextFile;
  const char 			*temp,*arc;
	KFileViewItemList *tmp;
private slots:
	void			timerEvent(QTimerEvent *);
	void			slotExamine();
	void 			receivedStdout(KProcess *, char *, int);
	void 			receivedStderr(KProcess *, char *, int);
	void			closeEvent ( QCloseEvent *);

};

#endif


