/***************************************************************************
                          mailer.h  -  description
                             -------------------
    begin                : Mit Mr 21 15:58:58 CET 2001
    copyright            : (C) 2001 by Delta_X
    email                : delta_x@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAILER_H
#define MAILER_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <kconfig.h>
#include <kprocess.h>
#include <qwidget.h>
#include <qsocket.h>
#include <stdlib.h>
//#include <kio/kmdcodec.h>
#include <qlabel.h>
#include <qprogressbar.h>
#include <qlistview.h>
#include "options.h"


class Mailer : public QWidget
{
  Q_OBJECT 
  public:
    /** construtor */
    Mailer(QString,QString,QString,QWidget* parent=0, const char *name=0);
    /** destructor */
    ~Mailer();
	private:
		QSocket 		  *mySocket;
		bool				  CONNECTED;
		bool 				  waitForData();
		void 				  send(const char *ss);
//  	bool				  SESSION;
  	QString			  buffer;
  	QString			  filePath;
  	QString			  fileName;
  	QString			  address;    // EMail des Empfngers
  	bool					SENT;
  	int 				  mails;
  	int 				  bytes;
  	void          writeFile(QString);
    KConfig       *config;
    QString       Username, Userpassword, Pop3Server, MailServer;
//    QWidget       *p;
    unsigned int  fsize, written, percent;
  private slots:
  	void 				  timerEvent(QTimerEvent *);
		void 			    connectionOK();
		void 			    connectionClosed();
		void				  connectionWrote(int n);
		void 			    error(int);
  signals:
    void          changeStatus(const QString &);
};

#endif
