/***************************************************************************
                          ownshow.cpp  -  description
                             -------------------
    begin                : Sun Feb 4 2001
    copyright            : (C) 2001 by Rene Mrten & Christian Fricke
    email                : delta_x@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          ownshow.cpp  -  description
                             -------------------
    begin                : Wed Nov 8 2000
    copyright            : (C) 2000 by Rene Mrten / Christian Fricke
    email                : cfricke@codewizards.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "ownshow.h"

ownShow::ownShow(QWidget *parent, const char *name):QWidget(parent,name)
{
	QPopupMenu * smenu = new QPopupMenu(this);
	smenu->insertItem(i18n("Search..."),1010101);
	connect(smenu,SIGNAL(activated(int)),this,SLOT(slotEditSearch(int)));
	editor = new KEdit(this);
  editor->setReadOnly(true);
	editor->installRBPopup(smenu);
}
ownShow::~ownShow()
{
}

void ownShow::slotEditSearch(int)
{
	editor->search();
}

void ownShow::insertText(QTextStream *text)
{
	editor->insertText(text);
}

void ownShow::keyPressEvent(QKeyEvent *e)
{
	if(e->ascii() == 6)editor->search();
}

void ownShow::resizeEvent(QResizeEvent *)
{
	editor->resize(this->width(),this->height());
}
