/***************************************************************************
                          pluginbasisview.h  -  description
                             -------------------
    begin                : Sat Apr 14 2001
    copyright            : (C) 2001 by Christian Fricke & Rene Maerten
    email                : cfricke@kcommander.org
 ***************************************************************************/
// $Revision: 1.7 $
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef PLUGINBASISVIEW_H
#define PLUGINBASISVIEW_H

//#include <qdialog.h>
#include <qlistview.h>
#include <klistview.h>
/**
  *@author Christian Fricke & Rene Maerten
  */

class extListViewItem : public QListViewItem {
public:
  extListViewItem(QListView *parent,
                  const char *s1=0,
                  const char *s2=0,
                  const char *s3=0,
                  const char *s4=0,
                  const char *s5=0,
                  const char *s6=0,
                  const char *s7=0,
                  const char *s8=0);
  void paintCell (QPainter * p,const QColorGroup &cg,int column, int width,int align);
//voidQListViewItem::paintFocus(QPainter*p, constQColorGroup&cg, constQRect&r)
  void paintFocus(QPainter *p, const QColorGroup &cg, const QRect &r);
  void setPercent(int i){ pegel = i;};
private:
  int   pegel;

};

class PluginBasisView : public KListView  {
	Q_OBJECT
public:
	/** Constructor
	*/
	PluginBasisView(int index,QWidget *parent=0);
	/** Destructor
	*/
	~PluginBasisView();

	/** Set the Colums, separated by '\t'
	*/
  void setColumns(const char *text);
  void addItem( const char * s1,
                const char * s2);

private:
  int   appIndex;
  void  updateCPUinfo();
  void  updateMemory();
  void  updateDrives();
  int   drives;
private slots:
//  void paintEvent(QPaintEvent *);
  void timerEvent(QTimerEvent *e);
};

#endif
