/***************************************************************************
                          statics.h  -  description
                             -------------------
    begin                : Mon Apr 9 2001
    copyright            : (C) 2001 by Christian Fricke & Rene Maerten
    email                : cfricke@kcommander.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <stdlib.h>
static char *encryptPassword(const char *string)
{
	QString text(string);
	if(text.length() ==0)
		return 0L;
	QString temp,token;
	
	unsigned char byteH, byteL;
	int i=0;
	while(string[i] != 0)
	{
		// split High & Low Byte
		byteH = (unsigned char)string[i++];
		byteL = byteH - (byteH/16*16);
		byteH = byteH /16;
		token.sprintf("%c%c",'A' + byteH, 'a' + byteL);
		temp += token;
	}
	return strdup(temp);
}
static char *decryptPassword(const char *string)
{
	QString text(string);
	if(text.length() ==0)
		return 0L;
	QString temp, token;
	unsigned char byteH, byteL;
	for(unsigned int i=0; i<text.length()-1;i += 2)
	{
		token = text.mid(i,2);
		byteH = token.at(0).unicode()-'A';
		byteL = token.at(1).unicode()-'a';
		byteH = byteH * 16 + byteL;
		token.sprintf("%c",byteH);
		temp += token;
	}
	return strdup(temp);
}






