/***************************************************************************
                          config-kfile.h  -  description
                             -------------------
    begin                : Sun Feb 4 2001
    copyright            : (C) 2001 by Rene Mrten & Christian Fricke
    email                : delta_x@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef CONFIG_KFILE_H
#define CONFIG_KFILE_H

const int kfile_area = 250;

#define DefaultViewStyle QString::fromLatin1("SimpleView")
#define DefaultPannerPosition 40
#define DefaultMixDirsAndFiles false
#define DefaultShowStatusLine false
#define DefaultShowHidden false
#define DefaultCaseInsensitive false
#define DefaultDirsFirst true
#define DefaultSortReversed false
#define DefaultRecentURLsNumber 10
#define DefaultDirectoryFollowing true
#define ConfigGroup QString::fromLatin1("FileBasisView Settings")
#define RecentURLs QString::fromLatin1("Recent URLs")
#define RecentFiles QString::fromLatin1("Recent Files")
#define RecentURLsNumber QString::fromLatin1("Maximum of recent URLs")
#define RecentFilesNumber QString::fromLatin1("Maximum of recent files")
#define DialogWidth QString::fromLatin1("Width (%1)")
#define DialogHeight QString::fromLatin1("Height (%1)")
#define ConfigShowStatusLine QString::fromLatin1("ShowStatusLine")
#define AutoDirectoryFollowing QString::fromLatin1("Automatic directory following")
#endif
