/***************************************************************************
                          dlgcopy.cpp  -  description
                             -------------------
    begin                : Sat Oct 14 2000
    copyright            : (C) 2000 by Rene Mrten / Christian Fricke
    email                : cfricke@codewizards.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "dlgcopy.h"

dlgCopy::dlgCopy(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();
}

dlgCopy::~dlgCopy(){
}
void dlgCopy::setSourcePath(const char *s)
{
  QLineEdit_1->setText(s);
}
void dlgCopy::setDestPath(const char *s)
{
  QLineEdit_2->setText(s);
}
const char * dlgCopy::getDestPath()
{
  return strdup(QLineEdit_2->text());
}
void  dlgCopy::initDialog(){
  this->resize(650,110);
  QLabel_4= new QLabel(this,"NoName");
  QLabel_4->setGeometry(10,20,150,25);
  QLabel_4->setText(i18n("Copy file "));
  QLabel_4->setAlignment(AlignRight);

  QLineEdit_1= new QLineEdit(this,"NoName");
  QLineEdit_1->setGeometry(160,20,480,25);
  QLineEdit_1->setEnabled(false);

  QCheckBox_1= new QCheckBox(this,"NoName");
  QCheckBox_1->setGeometry(10,80,150,25);
  QCheckBox_1->setText(i18n("Ask me no more"));

  QLabel_2= new QLabel(this,"NoName");
  QLabel_2->setGeometry(10,50,150,25);
  QLabel_2->setText(i18n("to : "));
  QLabel_2->setAlignment(AlignRight);

  QLineEdit_2= new QLineEdit(this,"NoName");
  QLineEdit_2->setGeometry(160,50,480,25);

  QPushButton_1= new QPushButton(this,"NoName");
  QPushButton_1->setGeometry(330,80,100,25);
  QPushButton_1->setText(i18n("Ok"));
  connect(QPushButton_1,SIGNAL(clicked()),this,SLOT(accept()));

  QPushButton_2= new QPushButton(this,"NoName");
  QPushButton_2->setGeometry(540,80,100,25);
  QPushButton_2->setText(i18n("Cancel"));
  connect(QPushButton_2,SIGNAL(clicked()),this,SLOT(reject()));
}
