/***************************************************************************
                          dlgdelete.cpp  -  description
                             -------------------
    begin                : Sun Feb 4 2001
    copyright            : (C) 2001 by Rene Mrten & Christian Fricke
    email                : delta_x@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          dlgdelete.cpp  -  description
                             -------------------
    begin                : Sat Oct 7 2000
    copyright            : (C) 2000 by Rene Mrten / Christian Fricke
    email                : cfricke@codewizards.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "dlgdelete.h"
#include <kconfig.h>
#include <kapp.h>

dlgDelete::dlgDelete(QWidget *parent, const char *name) : QDialog(parent,name,true)
{
	KConfig *config = kapp->config();
	config->setGroup("Delete");
	QString s = config->readEntry("ask","yes");
	if(s == "no")
	{
	  reject();
	  return;
	}
	initDialog();
  connect(QCheckBox_1,SIGNAL(stateChanged(int)),SLOT(stateChanged(int)));
}

dlgDelete::~dlgDelete(){
}
void dlgDelete::stateChanged(int status)
{
	KConfig *config = kapp->config();
	config->setGroup("Delete");
	if(status ==2)
	  config->writeEntry("ask","yes");
	else
	  config->writeEntry("ask","no");
}
