/***************************************************************************
                          dlgeditassigns.h  -  description
                             -------------------
    begin                : Tue Jan 18 2000
    copyright            : (C) 2000 by black_bird & delta_x
    email                : delta_x@codewizards.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGEDITASSIGNS_H
#define DLGEDITASSIGNS_H

#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qcheckbox.h>

#include <qdialog.h>
#include <kfiledialog.h>
#include <kapp.h>
#include <klocale.h>

class dlgEditAssigns : public QDialog  {
   Q_OBJECT
public: 
	dlgEditAssigns(QWidget *parent=0, const char *name=0);
	~dlgEditAssigns();

	KConfig				*config;
	KFileDialog		*dirselect;
  bool 					 autoFocus;
		
protected: 
	void initDialog();
	void firstSelect();
  void readEntries();
		
	QLabel *QLabel_1;
	QLabel *QLabel_2;
	QLabel *QLabel_3;
	QLineEdit *QLineEdit_1;
	QPushButton *QPushButton_1;
	QPushButton *QPushButton_2;
	QPushButton *QPushButton_3;
	QListBox *QListBox_1;

private slots:
	void keyPressEvent(QKeyEvent *);
	void CloseApp();
  void nextSelected(const char*);
  void deleteSelected();
  void newEntered();
  void openDirDialog();
};

#endif
