/***************************************************************************
                          options.h  -  description
                             -------------------
    begin                : Sun Feb 4 2001
    copyright            : (C) 2001 by Rene Mrten & Christian Fricke
    email                : delta_x@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/****************************************************************************
** Form interface generated from reading ui file 'options.ui'
**
** Created: Sun Dec 3 15:22:14 2000
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#ifndef FORM1_H
#define FORM1_H

#include <qvariant.h>
#include <qdialog.h>
#include <kiconloader.h>
#include <kicondialog.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <kconfig.h>
#include <qfontdialog.h>
#include <qlistbox.h>
#include <qcheckbox.h>
#include <qcombobox.h>

class QVBoxLayout;
class QListBox;
class QHBoxLayout; 
class QGridLayout; 
class QListView;
class QListViewItem;
class QPushButton;
class QTabWidget;
class QWidget;
class KIconLoader;

/**
	Our Wizzard Class for the configuration
	*/
class wizzard : public QWidget  {
	Q_OBJECT


public:
  const QString  encryptStr(const QString aStr) const;
  enum {popServer,mailServer,popName,popPassword,
        fontListview,fontButtons,fontViewer,
        fontDemo1,fontDemo2,fontDemo3,
        MAXASK
        };  // LabelIndicator

  /** enums for the TABwidget
  */
  enum {FTPConfig,FontConfig,MailConfig,SecureConfig,TbConfig, MAXCONFIG}; // TabIndicator

  /** enums for the fontButtons
  */
  enum {fontBt1,fontBt2,fontBt3, MAXBT
        }; // ButtonIndicator
  /** enums for the checkboxes
  */
  enum {checkDelete, checkOverwrite, checkCopying, checkQuit, MAXCHECK
        }; // CheckboxIndicator
	
  /** constructor  */
	wizzard(QWidget *parent=NULL, const char *name=NULL);
  /** destructor
  */
	~wizzard();
  /** this function call the tabView with INDEX page
  */
  void setPage(int page);
  /** set pageIndex to 0 and show this page (Tab)
  */
  void show();
  QString       getMailConfig(const char *name);

private:
	QLabel 					*buttonLabel;
  /** this is the initialisation for all tabPages
  */
  void            initTabs();
  /** specialy for the toolbuttonconfig: enable or disable all editable widgets
  */
	void 						setEditAble(bool flag);
  /** if a "Button xx" was clicked, this routine will load all parameters for the page
  */
	void 						loadThisButton(int index);


  /** variable stores the actuelly tabPage index
  */
  int 						pageNumber;
  /** pointer for the tabPage widgets
  */
  QWidget         *tabs[10];
  /** pointer for the labels
  */
  QLabel          *label[50];
  /** pointer for the editable lines
  */
  QLineEdit       *edit[50],
  								*commandToolTip,
  								*externCommand;
  /** pointer for the buttons
  */
  QPushButton     *button[50],
								  *iconButton;
  /** pointer for the check boxes
  */
  QCheckBox       *check[50],
  								*visibleBox,
  								*kcommanderBox,
  								*popfirstBox;

  /** pointer to the config for our app
  */
  KConfig         *config;
  /** the listbox for the KCommander internal commands
  */
	QComboBox				*kcommanderCommands;
  /** constructor
  */
  /** pointer to a kde-iconloader/selector
  */
  KIconDialog			*iconDlg;
  /** this variable stores the last/actually button
  */
	int							actuellButton;
  /** this variable stores the actually name of the icon (for iconloader)
  */
	QString					buttonName;

	  			
private slots:
  void            paintEvent(QPaintEvent *p);
  void            checkboxChanged(int status);
  void            mailCfgChanged(const QString &string);
  void            fontDialog();
	void 						toolbuttonSelected(int index);
	void 						openIconDlg();
	void 						kcommandChanged(int);
	void 						saveKCommand();
	void 						saveIcon();
	void 						saveVisible(int);
	void 						saveKCindex(int);
	void 						saveToolTip();
	void 						saveCommand();
	void 						toolTipChanged(const QString &);
	void 						commandChanged(const QString &);
  void            slotPopFirstPressed(int);
};

class OptionsDialog : public QDialog
{ 
    Q_OBJECT

public:
    OptionsDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~OptionsDialog();
//		QPixmap				pm[10];
    QPushButton		*PushButton1;
    QListView			*ListView1;
private:
    wizzard 			*wz;
public slots:
    void timerEvent(QTimerEvent *);
    void itemClicked(QListViewItem *item);
};

#endif // FORM1_H
