/***************************************************************************
                          ownshow.h  -  description
                             -------------------
    begin                : Wed Nov 8 2000
    copyright            : (C) 2000 by Rene Mrten / Christian Fricke
    email                : cfricke@codewizards.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OWNSHOW_H
#define OWNSHOW_H

#include <keditcl.h>
#include <klocale.h>
#include <qpopupmenu.h>
#include <qevent.h>

/**
  *@author Rene Mrten / Christian Fricke
  */

class ownShow : public QWidget  {
	Q_OBJECT
public: 
	ownShow(QWidget *parent=NULL, const char *name=NULL);
	~ownShow();
	void insertText(QTextStream *);
	void keyPressEvent(QKeyEvent *);

	void resizeEvent(QResizeEvent *);
		
private:
  KEdit *editor;
			
public slots:
	void slotEditSearch(int);
};

#endif
