/***************************************************************************
                          resource.h  -  description
                             -------------------
    begin                : Sun Sep 17 12:25:22 GMT 2000
    copyright            : (C) 2000 by Rene Mrten / Christian Fricke
    email                : cfricke@codewizards.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RESOURCE_H
#define RESOURCE_H
//test

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands


///////////////////////////////////////////////////////////////////
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES


///////////////////////////////////////////////////////////////////
// File-menu entries
#define ID_FILE_NEW_WINDOW          10010
#define ID_FILE_NEW                 10020
#define ID_FILE_OPEN                10030
#define ID_FILE_OPEN_RECENT         10040
#define ID_FILE_CLOSE               10050

#define ID_FILE_SAVE                10060
#define ID_FILE_SAVE_AS             10070

#define ID_FILE_PRINT               10080

#define ID_FILE_QUIT                10090

///////////////////////////////////////////////////////////////////
// Edit-menu entries
#define ID_EDIT_COPY                11010
#define ID_EDIT_CUT                 11020
#define ID_EDIT_PASTE               11030

///////////////////////////////////////////////////////////////////
// View-menu entries                    
#define ID_VIEW_TOOLBAR             12010
#define ID_VIEW_STATUSBAR           12020
#define ID_VIEW_SHOW_SHORT					12030
#define ID_VIEW_SHOW_LONG           12040


///////////////////////////////////////////////////////////////////
// Help-menu entries
#define ID_HELP_CONTENTS            1002

///////////////////////////////////////////////////////////////////
// General application values
#define ID_STATUS_MSG               1001

#define IDS_STATUS_DEFAULT          "Ready."

///////////////////////////////////////////////////////////////////
#define ID_MENU_OPTIONS		      	   	110020
#define ID_MENU_PACK								110030
#define ID_MENU_UNPACK							110040
#define ID_MENU_TESTARC							110050
#define ID_MENU_MAKELINK						110060
#define ID_MENU_FILEATTR						110070
#define ID_MENU_GETMEM							110080
#define ID_MENU_PRINT								110090
#define ID_MENU_SPLITFILE						110100
#define ID_MENU_JOINFILE						110110
#define ID_MENU_CODING							110120
#define ID_MENU_DECODING						110130
#define ID_MENU_EXIT								110140
#define ID_MENU_MARKGROUP						110160
#define ID_MENU_REMARKGROUP					110170
#define ID_MENU_MARKALL							110180
#define ID_MENU_MARKNONE						110190
#define ID_MENU_MARKREVERSE					110200
#define ID_MENU_COMPDIR							110201

#define ID_MENU_STARTTERM						110210
#define ID_MENU_SWAPLISTVIEWS				110220
#define ID_MENU_HELPABOUT						110230
#define ID_MENU_QUELLE							110240
#define ID_MENU_SEARCHFILE					110250
#define ID_MENU_SYSINFO							110260
#define ID_MENU_STARTER							110270
#define ID_MENU_TREELIST						110280
#define ID_MENU_HELPTHIS						110290
#define ID_MENU_NETWORK 						110300
//#define ID_MENU_BUTTONBAR           110330
#define ID_MENU_ASSIGNS             110340
//#define ID_MENU_DRIVESPACE          110350
//#define ID_MENU_MEMORY              110351

#define ID_MENU_SORT_PERM	      		110010
#define ID_MENU_SORT_NAME	      		110360
#define ID_MENU_SORT_SIZE	      		110370
#define ID_MENU_SORT_DATE	      		110380

#define ID_MENU_SHOW_DIRS           110390
#define ID_MENU_SHOW_FILES         110400
#define ID_MENU_SHOW_HIDDEN      110410
#define ID_MENU_SHOW_SYSTEMFILES    110420
#define ID_MENU_FORMAT              	110430
#define ID_MENU_SHOW_ALL            110440

#define ID_MENU_SHOW_DRIVES		110450
#define ID_MENU_SHOW_CPU				110460
#define ID_MENU_SHOW_MEM			110470
#define ID_MENU_SHOW_MORE			110480

#define ID_MENU_FTPCONNECT			110500
#define ID_MENU_FTPNEW					110510
#define ID_MENU_FTPCLOSE				110520
#define ID_STARTMENU							220000

#define TOOLBUTTON                  		330000

#define ID_SEARCH_MENU					400000

#define ID_ACCEPT_MAIL						500000
#define ID_ADD_TO_ADRBOOK			500010

#endif // RESOURCE_H
